## NMDeviceAdsl NMDeviceAdsl |

## Synopsis

    #define             NM_DEVICE_ADSL_CARRIER
    struct              NMDeviceAdsl;
                        NMDeviceAdslClass;
    gboolean            nm_device_adsl_get_carrier          (NMDeviceAdsl *device);

## Object Hierarchy

      GObject
       +----NMObject
             +----NMDevice
                   +----NMDeviceAdsl

## Implemented Interfaces

NMDeviceAdsl implements GInitable and GAsyncInitable.

## Properties

      "carrier"                  gboolean              : Read

## Description

## Details

### NM_DEVICE_ADSL_CARRIER

    #define NM_DEVICE_ADSL_CARRIER "carrier"

### struct NMDeviceAdsl

    struct NMDeviceAdsl;

### NMDeviceAdslClass

    typedef struct {
    	NMDeviceClass parent;
    } NMDeviceAdslClass;

### nm_device_adsl_get_carrier ()

    gboolean            nm_device_adsl_get_carrier          (NMDeviceAdsl *device);

Whether the device has carrier.

`device` : | a NMDeviceAdsl
Returns : | `TRUE` if the device has carrier

## Property Details

### The `"carrier"` property

      "carrier"                  gboolean              : Read

Whether the device has carrier.

Default value: FALSE